
package ca.ualberta.xdong.plasMapper.util;

import java.io.*;




/**
 * This class is used to verify to see whether the sequence in 
 * vectorFeature_db has right format or not. At the same time 
 * to give the total feature number in the feature database.
 * 
 * @author xdong
 *
 * 
 * 
 */
public class VerifyVectorFeatureFormat {

	public static void main(String[] args) throws Exception {

		String singleSeqFile =
			"/home/xdong/plasMapServer/PlasMap/test/singleSeqFile";

		BufferedReader br =
			new BufferedReader(
				new FileReader("/home/xdong/plasMapServer/PlasMap/dataBase/db_vectorFeature/features.fasta.nt"));

		String head = "";
		String seq = "";
		String str = "";
		int i = 0;

		while ((str = br.readLine()) != null) {

			//Head of the fasta format sequence
			if (str.indexOf(">") >= 0) {
				if (head == null || head.length() == 0) {
					head = str;
					System.out.println(head);
				} else {
					DataOutputStream vectorSeq =
						new DataOutputStream(
							new FileOutputStream(singleSeqFile));
					vectorSeq.writeBytes(seq);
					vectorSeq.close();
					seq = "";
					head = str;

					
					i++;
				}
			} else
				seq = seq + str + "\n";

		}
		DataOutputStream vectorSeq =
			new DataOutputStream(new FileOutputStream(singleSeqFile));
		vectorSeq.writeBytes(seq);
		vectorSeq.close();

		

		System.out.println(i);
	}
}
